curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2 \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>" \
-d '{
"url": "https://example.com/webhook",
"events": [
13
]
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", {
method: "PUT",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
body: JSON.stringify({
"url": "https://example.com/webhook",
"events": [
13
]
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
json={
"url": "https://example.com/webhook",
"events": [
13,
],
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2")
request = Net::HTTP::Put.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
request.body = <<~JSON
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"url\": \"https://example.com/webhook\",",
" \"events\": [",
" 13",
" ]",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"url": "https://example.com/webhook",
"events": [
13
]
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""url"": ""https://example.com/webhook"",
""events"": [
13
]
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Webhook updated successfully",
"id": 2,
"url": "https://example.com/webhook",
"event_ids": [
13
]
}
Partner webhooks
Update webhook
Updates the callback destination URL and subscribed event topics for an existing webhook subscription.
PUT
/
partner
/
webhooks
/
update
/
{id}
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2 \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>" \
-d '{
"url": "https://example.com/webhook",
"events": [
13
]
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", {
method: "PUT",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
body: JSON.stringify({
"url": "https://example.com/webhook",
"events": [
13
]
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
json={
"url": "https://example.com/webhook",
"events": [
13,
],
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2")
request = Net::HTTP::Put.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
request.body = <<~JSON
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"url\": \"https://example.com/webhook\",",
" \"events\": [",
" 13",
" ]",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"url": "https://example.com/webhook",
"events": [
13
]
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""url"": ""https://example.com/webhook"",
""events"": [
13
]
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Webhook updated successfully",
"id": 2,
"url": "https://example.com/webhook",
"event_ids": [
13
]
}
Headers
string
required
Target API version (e.g.
1.2).Path Parameters
number
required
Unique numeric identifier of the webhook subscription to update (e.g.
2).Request Body Parameters
string
required
Updated destination HTTPS callback URL where webhook events will be delivered.
array of numbers
required
Updated array of numeric event IDs to subscribe to (e.g.
[13]).Response Body
boolean
Indicates whether the webhook configuration was updated successfully (
true).string
Descriptive outcome message (e.g.
Webhook updated successfully).number
Unique identifier of the updated webhook subscription.
string
The updated destination HTTPS callback URL.
array of numbers
List of active event IDs subscribed to this webhook endpoint following the update.
Response Codes
| Code | Description |
|---|---|
| 200 | Webhook subscription updated successfully. |
| 400 | Bad Request. Invalid destination URL or event IDs. |
| 401 | Unauthorized. Missing, expired, or invalid partner Bearer token. |
| 404 | Not Found. Webhook subscription with the specified ID was not found. |
| 500 | Internal Server Error. |
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2 \
-H "Content-Type: application/json" \
-H "X-API-Version: 1.2" \
-H "Authorization: Bearer <accessToken>" \
-d '{
"url": "https://example.com/webhook",
"events": [
13
]
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", {
method: "PUT",
headers: {
Authorization: "Bearer <accessToken>",
"Content-Type": "application/json",
"X-API-Version": "1.2",
},
body: JSON.stringify({
"url": "https://example.com/webhook",
"events": [
13
]
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2",
headers={
"Authorization": "Bearer <accessToken>",
"X-API-Version": "1.2",
},
json={
"url": "https://example.com/webhook",
"events": [
13,
],
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2")
request = Net::HTTP::Put.new(uri)
request["Authorization"] = "Bearer <accessToken>"
request["Content-Type"] = "application/json"
request["X-API-Version"] = "1.2"
request.body = <<~JSON
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <accessToken>",
"Content-Type: application/json",
"X-API-Version: 1.2",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"url": "https://example.com/webhook",
"events": [
13
]
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
String body = String.join("\n",
"{",
" \"url\": \"https://example.com/webhook\",",
" \"events\": [",
" 13",
" ]",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2"))
.header("Authorization", "Bearer <accessToken>")
.header("Content-Type", "application/json")
.header("X-API-Version", "1.2")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"url": "https://example.com/webhook",
"events": [
13
]
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2", body)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <accessToken>")
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Version", "1.2")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/partner/webhooks/update/2");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<accessToken>");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""url"": ""https://example.com/webhook"",
""events"": [
13
]
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"message": "Webhook updated successfully",
"id": 2,
"url": "https://example.com/webhook",
"event_ids": [
13
]
}
Last modified on November 10, 2026
Was this page helpful?
